#!/usr/bin/env node

const program = require('commander')
const spawn = require('child_process').spawn;
const package = require('../package.json');
const chalk = require('chalk');

const build = require('./build');

program
  .version(package.version)
  .usage('<keywords>')
  .parse(process.argv);


if (program.args[0] === 'init') {


  if (program.args.length > 1)
    spawn(build(program.args[1]), { shell: true, stdio: 'inherit' })
  else if (program.args.length < 2)
    console.log(chalk.red('Please supply a name for your new modular app.'))


}
else if (program.args[0] === 'log') {
  console.log(package.version)
}
